Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.jmf.codec.video
Class AbstractVideoDecoder

    java.lang.Object
      org.monte.media.jmf.codec.AbstractCodec
          org.monte.media.jmf.codec.video.AbstractVideoDecoder

All Implemented Interfaces:
  javax.media.Codec, javax.media.Controls, javax.media.PlugIn

Direct Known Subclasses:
  QTAnimationDecoder, TSCCCodec, ZMBVDecoder

    public abstract class AbstractVideoDecoder

extends AbstractCodec

`AbstractVideoDecoder`.

Version:
  $Id: AbstractVideoDecoder.java 185 2012-03-22 10:00:24Z werner $
Author:
  Werner Randelshofer

Field Summary
`protected javax.media.format.VideoFormat[]` | `defaultOutputFormats`
`protected javax.media.format.VideoFormat` | `inputFormat`
`protected javax.media.format.VideoFormat` | `outputFormat`
`protected javax.media.format.VideoFormat[]` | `supportedInputFormats`

Fields inherited from class org.monte.media.jmf.codec.AbstractCodec
`controls, pluginName`

Fields inherited from interface javax.media.PlugIn
`BUFFER_PROCESSED_FAILED, BUFFER_PROCESSED_OK, INPUT_BUFFER_NOT_CONSUMED, OUTPUT_BUFFER_NOT_FILLED, PLUGIN_TERMINATED`

Constructor Summary
`AbstractVideoDecoder()`

Method Summary
`protected javax.media.format.VideoFormat` | `getInputFormat()`
`protected abstract javax.media.Format[]` | `getMatchingOutputFormats(javax.media.Format input)`
`protected javax.media.format.VideoFormat` | `getOutputFormat()`
`javax.media.Format[]` | `getSupportedInputFormats()`
`javax.media.Format[]` | `getSupportedOutputFormats(javax.media.Format input)`
`javax.media.Format` | `setInputFormat(javax.media.Format format)`
`javax.media.Format` | `setOutputFormat(javax.media.Format format)`

Methods inherited from class org.monte.media.jmf.codec.AbstractCodec
`close, getControl, getControls, getName, isSet, open, reset, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.media.Codec
`process`

Field Detail

### defaultOutputFormats

    protected javax.media.format.VideoFormat[] defaultOutputFormats

### supportedInputFormats

    protected javax.media.format.VideoFormat[] supportedInputFormats

### inputFormat

    protected javax.media.format.VideoFormat inputFormat

### outputFormat

    protected javax.media.format.VideoFormat outputFormat

Constructor Detail

### AbstractVideoDecoder

    public AbstractVideoDecoder()

Method Detail

### getSupportedInputFormats

    public javax.media.Format[] getSupportedInputFormats()

### getSupportedOutputFormats

    public javax.media.Format[] getSupportedOutputFormats(javax.media.Format input)

### getMatchingOutputFormats

    protected abstract javax.media.Format[] getMatchingOutputFormats(javax.media.Format input)

### setInputFormat

    public javax.media.Format setInputFormat(javax.media.Format format)

### setOutputFormat

    public javax.media.Format setOutputFormat(javax.media.Format format)

### getInputFormat

    protected javax.media.format.VideoFormat getInputFormat()

### getOutputFormat

    protected javax.media.format.VideoFormat getOutputFormat()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD